# Uses of Interface
javax.xml.crypto.Data

Packages that use Data
Package
Description
javax.xml.crypto
Common classes for XML cryptography.
javax.xml.crypto.dsig
Classes for generating and validating XML digital signatures.
javax.xml.crypto.dsig.keyinfo
Classes for parsing and processing `KeyInfo` elements and structures.

## Uses of Data in javax.xml.crypto

Subinterfaces of Data in javax.xml.crypto
Modifier and Type
Interface
Description
`interface`
`NodeSetData<T>`
An abstract representation of a `Data` type containing a node-set.
Classes in javax.xml.crypto that implement Data
Modifier and Type
Class
Description
`class`
`OctetStreamData`
A representation of a `Data` type containing an octet stream.
Methods in javax.xml.crypto that return Data
Modifier and Type
Method
Description
`Data`
URIDereferencer.`dereference(URIReference uriReference, XMLCryptoContext context)`
Dereferences the specified `URIReference` and returns the dereferenced data.

## Uses of Data in javax.xml.crypto.dsig

Methods in javax.xml.crypto.dsig that return Data
Modifier and Type
Method
Description
`Data`
Reference.`getDereferencedData()`
Returns the dereferenced data, if reference caching is enabled.
`Data`
Transform.`transform(Data data, XMLCryptoContext context)`
Transforms the specified data using the underlying transform algorithm.
`Data`
Transform.`transform(Data data, XMLCryptoContext context, OutputStream os)`
Transforms the specified data using the underlying transform algorithm.
Methods in javax.xml.crypto.dsig with parameters of type Data
Modifier and Type
Method
Description
`abstract Reference`
XMLSignatureFactory.`newReference(String uri, DigestMethod dm, List<? extends Transform> appliedTransforms, Data result, List<? extends Transform> transforms, String type, String id)`
Creates a `Reference` with the specified parameters.
`Data`
Transform.`transform(Data data, XMLCryptoContext context)`
Transforms the specified data using the underlying transform algorithm.
`Data`
Transform.`transform(Data data, XMLCryptoContext context, OutputStream os)`
Transforms the specified data using the underlying transform algorithm.

## Uses of Data in javax.xml.crypto.dsig.keyinfo

Methods in javax.xml.crypto.dsig.keyinfo that return Data
Modifier and Type
Method
Description
`Data`
RetrievalMethod.`dereference(XMLCryptoContext context)`
Dereferences the `KeyInfo` information referenced by this `RetrievalMethod` and applies the specified `Transform`s.